# pandas.io.formats.style.Styler.from_custom_template

classmethod `Styler.``from_custom_template`(searchpath, name)

  Factory function for creating a subclass of `Styler` with a custom template and Jinja environment.

  Parameters:

  searchpath : str or list

  > Path or paths of directories containing the templates

  name : str

  > Name of your custom template to use for rendering

  Returns:

  MyStyler : subclass of Styler

  > has the correct `env` and `template` class attributes set.

Scroll To Top